# Laposta Subscribe for Drupal

## Description
Integrate your Drupal site with Laposta's mailing list service. This module allows you to connect to Laposta's API and manage newsletter subscriptions directly from your Drupal site.

## Requirements
- Drupal 10.x or 11.x
- A Laposta account with API credentials
- PHP 8.1 or higher

## Installation
1. Download and unzip the module to your `/modules/custom` directory
2. Enable the module via Drupal UI (`/admin/modules`) or using Drush:
   ```bash
   drush en laposta_subscribe
   ```

## Configuration
1. Go to `/admin/config/services/laposta_subscribe/api-key`
2. Enter your Laposta API key
3. Select your mailing list
4. Save the configuration

## Features
- Simple API integration with Laposta
- Newsletter subscription form
- Configuration through Drupal's admin interface
- Support for Honeypot
- Form validation and error handling
- Twig template included

## Support
For support requests or bug reports, please create an issue in the project's issue queue.

## Author
[Fred Klopper/Miix]
